Bug 441867 - exits attempting to play video content
exits attempting to play video content
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: swfdec (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-10 12:18 EDT by Bill Nottingham
Modified: 2014-03-16 23:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 15:19:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2008-04-10 12:18:55 EDT
Description of problem:

hulu.com. The particular clip doesn't seem to matter.

#0  0x00000033d22deff2 in select () from /lib64/libc.so.6
#1  0x000000000040baa7 in g_free () at gmem.c:187
#2  0x000000000040d049 in g_free () at gmem.c:187
#3  0x0000000000406ba9 in g_free () at gmem.c:187
#4  0x00000000064b1072 in plugin_post_url_notify ()
   from /usr/lib64/mozilla/plugins/libswfdecmozilla.so
#5  0x0000000006efb7cc in swfdec_player_load (player=0x1e860b0, 
    url=0x7fd08a9b7611 "http://rest.hulu.com/videos?content_id=7122061", 
    request=SWFDEC_LOADER_REQUEST_POST, buffer=0x7fd08a9bc000) at
swfdec_player.c:2270
#6  0x0000000006eeb29c in swfdec_load_object_load (player=0x1e860b0, allow=1, 
    obj=0x7fd08a9b5520) at swfdec_load_object.c:175
#7  0x0000000006f0265d in swfdec_policy_file_finished_loading (file=0x7fd08a93e280, 
    text=<value optimized out>) at swfdec_policy_file.c:153
#8  0x0000000006f02764 in swfdec_policy_file_target_close (
    target=<value optimized out>, stream=0x7fd08a9bb120) at swfdec_policy_file.c:194
#9  0x0000000006f116b8 in swfdec_stream_process (streamp=0x7fd08a9bb120, 
    unused=<value optimized out>) at swfdec_stream.c:220
#10 0x0000000006efd7eb in swfdec_player_perform_external_actions (player=0x1e860b0)
    at swfdec_player.c:549
#11 0x0000000006eff667 in swfdec_player_iterate (timeout=<value optimized out>)
    at swfdec_player.c:1400
#12 0x0000000006efe157 in swfdec_player_do_advance (player=0x1e860b0, msecs=0, 
    audio_samples=176) at swfdec_player.c:1469
#13 0x00000037fac0b6dd in IA__g_closure_invoke (closure=<value optimized out>, 
    return_value=<value optimized out>, n_param_values=<value optimized out>, 
    param_values=<value optimized out>, invocation_hint=<value optimized out>)
    at gclosure.c:490
#14 0x00000037fac1f23d in signal_emit_unlocked_R (node=<value optimized out>, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, instance_and_params=<value optimized
out>)
    at gsignal.c:2478
#15 0x00000037fac209de in IA__g_signal_emit_valist (instance=<value optimized out>, 
    signal_id=<value optimized out>, detail=<value optimized out>, 
    var_args=<value optimized out>) at gsignal.c:2199
Cannot access memory at address 0x7fff9ead19f8

Version-Release number of selected component (if applicable):

swfdec-0.6.4-2.fc9.x86_64

How reproducible:

Every time

Steps to Reproduce:
1. Go to hulu.com
2. Pick a video
3. Attempt to play
  
Actual results:

swfdec goes *poof*

Expected results:

Not that. Playing, or a missing codec error

Additional info:

youtube behaves the same
Comment 1 Bug Zapper 2008-05-14 05:15:22 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-06-09 20:07:09 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.